org.apache.poi.hemf.record.emfplus

## Enum HemfPlusBrush.EmfPlusHatchStyle

- java.lang.Object
- - java.lang.Enum<HemfPlusBrush.EmfPlusHatchStyle>
  - - org.apache.poi.hemf.record.emfplus.HemfPlusBrush.EmfPlusHatchStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfPlusBrush.EmfPlusHatchStyle>
  Enclosing class:
    HemfPlusBrush

      public static enum HemfPlusBrush.EmfPlusHatchStyle
      extends java.lang.Enum<HemfPlusBrush.EmfPlusHatchStyle>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACKWARD_DIAGONAL` Specifies lines on a diagonal from upper right to lower left.
    `DARK_DOWNWARD_DIAGONAL` Specifies diagonal lines that slant to the right from top to bottom points with no anti-aliasing.
    `DARK_HORIZONTAL` Specifies lines that are spaced 50 percent closer than lines in the HORIZONTAL pattern.
    `DARK_UPWARD_DIAGONAL` Specifies diagonal lines that slant to the left from top to bottom points with no anti-aliasing.
    `DARK_VERTICAL` Specifies lines that are spaced 50 percent closer than lines in the VERTICAL pattern.
    `DASHED_DOWNWARD_DIAGONAL` Specifies dashed diagonal lines that slant to the right from top to bottom points.
    `DASHED_HORIZONTAL` Specifies dashed horizontal lines.
    `DASHED_UPWARD_DIAGONAL` Specifies dashed diagonal lines that slant to the left from top to bottom points.
    `DASHED_VERTICAL` Specifies dashed vertical lines.
    `DIAGONAL_BRICK` Specifies a pattern of lines that has the appearance of layered bricks that slant to the left from top to bottom points.
    `DIAGONAL_CROSS` Specifies crossing forward diagonal and backward diagonal lines with anti-aliasing.
    `DIVOT` Specifies a pattern of lines that has the appearance of divots.
    `DOTTED_DIAMOND` Specifies crossing forward and backward diagonal lines, each of which is composed of dots.
    `DOTTED_GRID` Specifies crossing horizontal and vertical lines, each of which is composed of dots.
    `FORWARD_DIAGONAL` Specifies lines on a diagonal from upper left to lower right.
    `HORIZONTAL` Specifies equally spaced horizontal lines.
    `HORIZONTAL_BRICK` Specifies a pattern of lines that has the appearance of horizontally layered bricks.
    `LARGE_CHECKER_BOARD` Specifies a pattern of lines that has the appearance of a checkerboard, with squares that are twice the size of the squares in the SMALL_CHECKER_BOARD pattern.
    `LARGE_CONFETTI` Specifies a pattern of lines that has the appearance of confetti, and is composed of larger pieces than the SMALL_CONFETTI pattern.
    `LARGE_GRID` Specifies crossing horizontal and vertical lines.
    `LIGHT_DOWNWARD_DIAGONAL` Specifies diagonal lines that slant to the right from top to bottom points with no anti-aliasing.
    `LIGHT_HORIZONTAL` Specifies horizontal lines that are spaced 50 percent closer than lines in the HORIZONTAL pattern.
    `LIGHT_UPWARD_DIAGONAL` Specifies diagonal lines that slant to the left from top to bottom points with no anti-aliasing.
    `LIGHT_VERTICAL` Specifies vertical lines that are spaced 50 percent closer together than lines in the VERTICAL pattern.
    `NARROW_HORIZONTAL` Specifies horizontal lines that are spaced 75 percent closer than lines in the HORIZONTAL pattern; or 25 percent closer than lines in the LIGHT_HORIZONTAL pattern.
    `NARROW_VERTICAL` Specifies vertical lines that are spaced 75 percent closer than lines in the VERTICAL pattern; or 25 percent closer than lines in the LIGHT_VERTICAL pattern.
    `OUTLINED_DIAMOND` Specifies crossing forward and backward diagonal lines; the lines are not anti-aliased.
    `PERCENT_05` Specifies a 5-percent hatch, which is the ratio of foreground color to background color equal to 5:100.
    `PERCENT_10` Specifies a 10-percent hatch, which is the ratio of foreground color to background color equal to 10:100.
    `PERCENT_20` Specifies a 20-percent hatch, which is the ratio of foreground color to background color equal to 20:100.
    `PERCENT_25` Specifies a 25-percent hatch, which is the ratio of foreground color to background color equal to 25:100.
    `PERCENT_30` Specifies a 30-percent hatch, which is the ratio of foreground color to background color equal to 30:100.
    `PERCENT_40` Specifies a 40-percent hatch, which is the ratio of foreground color to background color equal to 40:100.
    `PERCENT_50` Specifies a 50-percent hatch, which is the ratio of foreground color to background color equal to 50:100.
    `PERCENT_60` Specifies a 60-percent hatch, which is the ratio of foreground color to background color equal to 60:100.
    `PERCENT_70` Specifies a 70-percent hatch, which is the ratio of foreground color to background color equal to 70:100.
    `PERCENT_75` Specifies a 75-percent hatch, which is the ratio of foreground color to background color equal to 75:100.
    `PERCENT_80` Specifies an 80-percent hatch, which is the ratio of foreground color to background color equal to 80:100.
    `PERCENT_90` Specifies a 90-percent hatch, which is the ratio of foreground color to background color equal to 90:100.
    `PLAID` Specifies a pattern of lines that has the appearance of a plaid material.
    `SHINGLE` Specifies a pattern of lines that has the appearance of diagonally layered shingles that slant to the right from top to bottom points.
    `SMALL_CHECKER_BOARD` Specifies a pattern of lines that has the appearance of a checkerboard.
    `SMALL_CONFETTI` Specifies a pattern of lines that has the appearance of confetti.
    `SMALL_GRID` Specifies crossing horizontal and vertical lines that are spaced 50 percent closer together than LARGE_GRID.
    `SOLID_DIAMOND` Specifies a pattern of lines that has the appearance of a checkerboard placed diagonally.
    `SPHERE` Specifies a pattern of lines that has the appearance of spheres laid adjacent to each other.
    `TRELLIS` Specifies a pattern of lines that has the appearance of a trellis.
    `VERTICAL` Specifies equally spaced vertical lines.
    `WAVE` Specifies horizontal lines that are composed of tildes.
    `WEAVE` Specifies a pattern of lines that has the appearance of a woven material.
    `WIDE_DOWNWARD_DIAGONAL` Specifies diagonal lines that slant to the right from top to bottom points with no anti-aliasing.
    `WIDE_UPWARD_DIAGONAL` Specifies diagonal lines that slant to the left from top to bottom points with no anti-aliasing.
    `ZIGZAG` Specifies horizontal lines that are composed of zigzags.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfPlusBrush.EmfPlusHatchStyle` | `valueOf(int id)`
    `static HemfPlusBrush.EmfPlusHatchStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfPlusBrush.EmfPlusHatchStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HORIZONTAL

          public static final HemfPlusBrush.EmfPlusHatchStyle HORIZONTAL

      Specifies equally spaced horizontal lines.

    - #### VERTICAL

          public static final HemfPlusBrush.EmfPlusHatchStyle VERTICAL

      Specifies equally spaced vertical lines.

    - #### FORWARD_DIAGONAL

          public static final HemfPlusBrush.EmfPlusHatchStyle FORWARD_DIAGONAL

      Specifies lines on a diagonal from upper left to lower right.

    - #### BACKWARD_DIAGONAL

          public static final HemfPlusBrush.EmfPlusHatchStyle BACKWARD_DIAGONAL

      Specifies lines on a diagonal from upper right to lower left.

    - #### LARGE_GRID

          public static final HemfPlusBrush.EmfPlusHatchStyle LARGE_GRID

      Specifies crossing horizontal and vertical lines.

    - #### DIAGONAL_CROSS

          public static final HemfPlusBrush.EmfPlusHatchStyle DIAGONAL_CROSS

      Specifies crossing forward diagonal and backward diagonal lines with anti-aliasing.

    - #### PERCENT_05

          public static final HemfPlusBrush.EmfPlusHatchStyle PERCENT_05

      Specifies a 5-percent hatch, which is the ratio of foreground color to background color equal to 5:100.

    - #### PERCENT_10

          public static final HemfPlusBrush.EmfPlusHatchStyle PERCENT_10

      Specifies a 10-percent hatch, which is the ratio of foreground color to background color equal to 10:100.

    - #### PERCENT_20

          public static final HemfPlusBrush.EmfPlusHatchStyle PERCENT_20

      Specifies a 20-percent hatch, which is the ratio of foreground color to background color equal to 20:100.

    - #### PERCENT_25

          public static final HemfPlusBrush.EmfPlusHatchStyle PERCENT_25

      Specifies a 25-percent hatch, which is the ratio of foreground color to background color equal to 25:100.

    - #### PERCENT_30

          public static final HemfPlusBrush.EmfPlusHatchStyle PERCENT_30

      Specifies a 30-percent hatch, which is the ratio of foreground color to background color equal to 30:100.

    - #### PERCENT_40

          public static final HemfPlusBrush.EmfPlusHatchStyle PERCENT_40

      Specifies a 40-percent hatch, which is the ratio of foreground color to background color equal to 40:100.

    - #### PERCENT_50

          public static final HemfPlusBrush.EmfPlusHatchStyle PERCENT_50

      Specifies a 50-percent hatch, which is the ratio of foreground color to background color equal to 50:100.

    - #### PERCENT_60

          public static final HemfPlusBrush.EmfPlusHatchStyle PERCENT_60

      Specifies a 60-percent hatch, which is the ratio of foreground color to background color equal to 60:100.

    - #### PERCENT_70

          public static final HemfPlusBrush.EmfPlusHatchStyle PERCENT_70

      Specifies a 70-percent hatch, which is the ratio of foreground color to background color equal to 70:100.

    - #### PERCENT_75

          public static final HemfPlusBrush.EmfPlusHatchStyle PERCENT_75

      Specifies a 75-percent hatch, which is the ratio of foreground color to background color equal to 75:100.

    - #### PERCENT_80

          public static final HemfPlusBrush.EmfPlusHatchStyle PERCENT_80

      Specifies an 80-percent hatch, which is the ratio of foreground color to background color equal to 80:100.

    - #### PERCENT_90

          public static final HemfPlusBrush.EmfPlusHatchStyle PERCENT_90

      Specifies a 90-percent hatch, which is the ratio of foreground color to background color equal to 90:100.

    - #### LIGHT_DOWNWARD_DIAGONAL

          public static final HemfPlusBrush.EmfPlusHatchStyle LIGHT_DOWNWARD_DIAGONAL

      Specifies diagonal lines that slant to the right from top to bottom points with no anti-aliasing. They are spaced 50 percent further apart than lines in the FORWARD_DIAGONAL pattern

    - #### LIGHT_UPWARD_DIAGONAL

          public static final HemfPlusBrush.EmfPlusHatchStyle LIGHT_UPWARD_DIAGONAL

      Specifies diagonal lines that slant to the left from top to bottom points with no anti-aliasing. They are spaced 50 percent further apart than lines in the BACKWARD_DIAGONAL pattern.

    - #### DARK_DOWNWARD_DIAGONAL

          public static final HemfPlusBrush.EmfPlusHatchStyle DARK_DOWNWARD_DIAGONAL

      Specifies diagonal lines that slant to the right from top to bottom points with no anti-aliasing. They are spaced 50 percent closer and are twice the width of lines in the FORWARD_DIAGONAL pattern.

    - #### DARK_UPWARD_DIAGONAL

          public static final HemfPlusBrush.EmfPlusHatchStyle DARK_UPWARD_DIAGONAL

      Specifies diagonal lines that slant to the left from top to bottom points with no anti-aliasing. They are spaced 50 percent closer and are twice the width of lines in the BACKWARD_DIAGONAL pattern.

    - #### WIDE_DOWNWARD_DIAGONAL

          public static final HemfPlusBrush.EmfPlusHatchStyle WIDE_DOWNWARD_DIAGONAL

      Specifies diagonal lines that slant to the right from top to bottom points with no anti-aliasing. They have the same spacing between lines in WIDE_DOWNWARD_DIAGONAL pattern and FORWARD_DIAGONAL pattern, but WIDE_DOWNWARD_DIAGONAL has the triple line width of FORWARD_DIAGONAL.

    - #### WIDE_UPWARD_DIAGONAL

          public static final HemfPlusBrush.EmfPlusHatchStyle WIDE_UPWARD_DIAGONAL

      Specifies diagonal lines that slant to the left from top to bottom points with no anti-aliasing. They have the same spacing between lines in WIDE_UPWARD_DIAGONAL pattern and BACKWARD_DIAGONAL pattern, but WIDE_UPWARD_DIAGONAL has the triple line width of WIDE_UPWARD_DIAGONAL.

    - #### LIGHT_VERTICAL

          public static final HemfPlusBrush.EmfPlusHatchStyle LIGHT_VERTICAL

      Specifies vertical lines that are spaced 50 percent closer together than lines in the VERTICAL pattern.

    - #### LIGHT_HORIZONTAL

          public static final HemfPlusBrush.EmfPlusHatchStyle LIGHT_HORIZONTAL

      Specifies horizontal lines that are spaced 50 percent closer than lines in the HORIZONTAL pattern.

    - #### NARROW_VERTICAL

          public static final HemfPlusBrush.EmfPlusHatchStyle NARROW_VERTICAL

      Specifies vertical lines that are spaced 75 percent closer than lines in the VERTICAL pattern; or 25 percent closer than lines in the LIGHT_VERTICAL pattern.

    - #### NARROW_HORIZONTAL

          public static final HemfPlusBrush.EmfPlusHatchStyle NARROW_HORIZONTAL

      Specifies horizontal lines that are spaced 75 percent closer than lines in the HORIZONTAL pattern; or 25 percent closer than lines in the LIGHT_HORIZONTAL pattern.

    - #### DARK_VERTICAL

          public static final HemfPlusBrush.EmfPlusHatchStyle DARK_VERTICAL

      Specifies lines that are spaced 50 percent closer than lines in the VERTICAL pattern.

    - #### DARK_HORIZONTAL

          public static final HemfPlusBrush.EmfPlusHatchStyle DARK_HORIZONTAL

      Specifies lines that are spaced 50 percent closer than lines in the HORIZONTAL pattern.

    - #### DASHED_DOWNWARD_DIAGONAL

          public static final HemfPlusBrush.EmfPlusHatchStyle DASHED_DOWNWARD_DIAGONAL

      Specifies dashed diagonal lines that slant to the right from top to bottom points.

    - #### DASHED_UPWARD_DIAGONAL

          public static final HemfPlusBrush.EmfPlusHatchStyle DASHED_UPWARD_DIAGONAL

      Specifies dashed diagonal lines that slant to the left from top to bottom points.

    - #### DASHED_HORIZONTAL

          public static final HemfPlusBrush.EmfPlusHatchStyle DASHED_HORIZONTAL

      Specifies dashed horizontal lines.

    - #### DASHED_VERTICAL

          public static final HemfPlusBrush.EmfPlusHatchStyle DASHED_VERTICAL

      Specifies dashed vertical lines.

    - #### SMALL_CONFETTI

          public static final HemfPlusBrush.EmfPlusHatchStyle SMALL_CONFETTI

      Specifies a pattern of lines that has the appearance of confetti.

    - #### LARGE_CONFETTI

          public static final HemfPlusBrush.EmfPlusHatchStyle LARGE_CONFETTI

      Specifies a pattern of lines that has the appearance of confetti, and is composed of larger pieces than the SMALL_CONFETTI pattern.

    - #### ZIGZAG

          public static final HemfPlusBrush.EmfPlusHatchStyle ZIGZAG

      Specifies horizontal lines that are composed of zigzags.

    - #### WAVE

          public static final HemfPlusBrush.EmfPlusHatchStyle WAVE

      Specifies horizontal lines that are composed of tildes.

    - #### DIAGONAL_BRICK

          public static final HemfPlusBrush.EmfPlusHatchStyle DIAGONAL_BRICK

      Specifies a pattern of lines that has the appearance of layered bricks that slant to the left from top to bottom points.

    - #### HORIZONTAL_BRICK

          public static final HemfPlusBrush.EmfPlusHatchStyle HORIZONTAL_BRICK

      Specifies a pattern of lines that has the appearance of horizontally layered bricks.

    - #### WEAVE

          public static final HemfPlusBrush.EmfPlusHatchStyle WEAVE

      Specifies a pattern of lines that has the appearance of a woven material.

    - #### PLAID

          public static final HemfPlusBrush.EmfPlusHatchStyle PLAID

      Specifies a pattern of lines that has the appearance of a plaid material.

    - #### DIVOT

          public static final HemfPlusBrush.EmfPlusHatchStyle DIVOT

      Specifies a pattern of lines that has the appearance of divots.

    - #### DOTTED_GRID

          public static final HemfPlusBrush.EmfPlusHatchStyle DOTTED_GRID

      Specifies crossing horizontal and vertical lines, each of which is composed of dots.

    - #### DOTTED_DIAMOND

          public static final HemfPlusBrush.EmfPlusHatchStyle DOTTED_DIAMOND

      Specifies crossing forward and backward diagonal lines, each of which is composed of dots.

    - #### SHINGLE

          public static final HemfPlusBrush.EmfPlusHatchStyle SHINGLE

      Specifies a pattern of lines that has the appearance of diagonally layered shingles that slant to the right from top to bottom points.

    - #### TRELLIS

          public static final HemfPlusBrush.EmfPlusHatchStyle TRELLIS

      Specifies a pattern of lines that has the appearance of a trellis.

    - #### SPHERE

          public static final HemfPlusBrush.EmfPlusHatchStyle SPHERE

      Specifies a pattern of lines that has the appearance of spheres laid adjacent to each other.

    - #### SMALL_GRID

          public static final HemfPlusBrush.EmfPlusHatchStyle SMALL_GRID

      Specifies crossing horizontal and vertical lines that are spaced 50 percent closer together than LARGE_GRID.

    - #### SMALL_CHECKER_BOARD

          public static final HemfPlusBrush.EmfPlusHatchStyle SMALL_CHECKER_BOARD

      Specifies a pattern of lines that has the appearance of a checkerboard.

    - #### LARGE_CHECKER_BOARD

          public static final HemfPlusBrush.EmfPlusHatchStyle LARGE_CHECKER_BOARD

      Specifies a pattern of lines that has the appearance of a checkerboard, with squares that are twice the size of the squares in the SMALL_CHECKER_BOARD pattern.

    - #### OUTLINED_DIAMOND

          public static final HemfPlusBrush.EmfPlusHatchStyle OUTLINED_DIAMOND

      Specifies crossing forward and backward diagonal lines; the lines are not anti-aliased.

    - #### SOLID_DIAMOND

          public static final HemfPlusBrush.EmfPlusHatchStyle SOLID_DIAMOND

      Specifies a pattern of lines that has the appearance of a checkerboard placed diagonally.

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static HemfPlusBrush.EmfPlusHatchStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfPlusBrush.EmfPlusHatchStyle c : HemfPlusBrush.EmfPlusHatchStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfPlusBrush.EmfPlusHatchStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HemfPlusBrush.EmfPlusHatchStyle valueOf(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.